be.ehealth.business.mycarenetcommons.validator

## Class CommonOutputValidator

- java.lang.Object
- - be.ehealth.business.mycarenetdomaincommons.validator.AbstractMyCarenetValidator
  - - be.ehealth.business.mycarenetcommons.validator.CommonOutputValidator

- All Implemented Interfaces:
    ConfigurationModuleBootstrap.ModuleBootstrapHook

      public class CommonOutputValidator
      extends AbstractMyCarenetValidator
      implements ConfigurationModuleBootstrap.ModuleBootstrapHook

  Check the validity of the information from the common Output

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonOutputValidator()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bootstrap()`
    `static void` | `validate(CommonOutputType commonOutput)` Validate is the commonInput is correct
    `static void` | `validate(CommonOutputType commonOutput)` Validate is the commonInput is correct

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommonOutputValidator

          public CommonOutputValidator()

  - ### Method Detail

    - #### validate

          public static void validate(CommonOutputType commonOutput)
                               throws ConnectorValidationException

      Validate is the commonInput is correct
      Parameters:
        `commonOutput` - : `CommonOutputType`
      Throws:
        `ConnectorValidationException`

    - #### validate

          public static void validate(CommonOutputType commonOutput)
                               throws ConnectorValidationException

      Validate is the commonInput is correct
      Parameters:
        `commonOutput` - : `CommonOutputType`
      Throws:
        `ConnectorValidationException`

    - #### bootstrap

          public void bootstrap()

      Specified by:
        `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Connector Packaging OTMOBILITYIMPROVEMENT 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.